var bouton = document.getElementById("lire");
var splash = document.getElementById("splash");
splash.style.display = "block";
var main = document.getElementById("main");

var directions = document.getElementsByClassName("directions");
var imgs = document.getElementById("images").children;
var n = 0;

// EVENTS
bouton.addEventListener("click", activateReading);
for (var i = 0; i < directions.length; i++) {
    directions[i].addEventListener("click", mouseHandler);
}
document.addEventListener("keydown", keyHandler);

// READING ACTIVATION
function isSplashOff() {
    if (splash.style.display == "none")
        return true;
    else
        return false;
}

function activateReading() {
    splash.style.display = "none";
    main.style.display = "block";
    n = 0;
    imgs[n].style.display = "block";
}
function desactivateReading() {
    splash.style.display = "block";
    main.style.display = "none";
    n = 0;
}

// IMAGES DISPLAYER
function loadImg(direction) {
    imgs[n].style.display = "none";

    if (direction == "Left")
        n--;
    else if (direction == "Right")
        n++;

    if (direction == "Up" || n > imgs.length - 1 || n < 0)
        desactivateReading();
    else
        imgs[n].style.display = "block";
}

// KEY & MOUSECLICK HANDLERS
function keyHandler(e) {
    if (e.key == " ")
        fullscreen();
    else if (isSplashOff()) {
        if (e.keyCode == "37" || e.keyCode == "39" || e.keyCode == "38")
            loadImg(e.key.replace("Arrow", ""));
    }
    else {
        if (e.keyCode == '39')
            activateReading();
    }
}

function mouseHandler(a) {
    loadImg(a.target.id);
}

function fullscreen() {
    if(document.body.webkitRequestFullScreen)
        document.body.webkitRequestFullScreen();
    else
        document.body.mozRequestFullScreen();
}
